----------------------------------------------------------
--
-- SWITCH WITH SWITCHGUARD - INVERTED MODEL
--
-- J. ZAHAR 03/2018
----------------------------------------------------------
-- customization variable
----------------------------------------------------------
display_plate=true -- displays the support plate
black_switchguard=false
yellow_switchguard=false
red_switchguard=true
----------------------------------------------------------
if display_plate==true then 
img_add_fullscreen("switchguard_plate.png")
end
if black_switchguard==true then 
switchg_open=img_add_fullscreen("blackswitchguard_open.png")
switchg_close=img_add_fullscreen("blackswitchguard_close.png")
elseif yellow_switchguard==true then 
switchg_open=img_add_fullscreen("yellowswitchguard_open.png")
switchg_close=img_add_fullscreen("yellowswitchguard_close.png")
elseif red_switchguard==true then
switchg_open=img_add_fullscreen("switchguard_open.png")
switchg_close=img_add_fullscreen("switchguard_close.png")
else 
switchg_open=img_add_fullscreen("switchguard_open.png")
switchg_close=img_add_fullscreen("switchguard_close.png")
end

visible(switchg_open,false)
visible(switchg_close,true)
open_state=false
position=1
battery_on=false

function switch_callback(position, direction)

  -- This is the position the switch was in when the user clicked the switch
  --print("Switch position is at " .. position)
  
  -- Determine the new position the switch should take
  new_position = position + direction
  --print("Switch new position is at:"..new_position)
   switch_set_state(switch_id, new_position)
----------------------------------------------------------------------------
-- Modify the code to operate the switch
----------------------------------------------------------------------------	
-- position peut prendre 2 valeurs: 1 ou 0
-----------------------------------------------------------------------------
if battery_on==true then
	fsx_event("ANTI_ICE_SET_ENG1",new_position)
	end
end
----------------------------------------------------------------------------
-- DO not modify the code beyond this point
----------------------------------------------------------------------------
function callback_pressed2()
--open_state=not open_state
visible(switchg_close,true)--open_state)
visible(switchg_open,false)--not open_state)
visible(button_id,true)
visible(button_id2,false)
visible(switch_id,false)
position=1
switch_callback(position,0)
end

function callback_pressed()
--open_state=not open_state
visible(switchg_close,false)--open_state)
visible(switchg_open,true)--not open_state)
visible(button_id2,true)
visible(button_id,false)
visible(switch_id,true)
end
-- Add a switch with 3 states (a, b and c)
-- The callback function will be called when the switch is being clicked by the user
switch_id = switch_add("toggle_ver_off.png", "toggle_ver_on.png", 17,120,120,120,switch_callback)
switch_callback(position,0)
visible(switch_id,false)
button_id = button_add(nil, nil, 0,0,170,150,callback_pressed)--guard closed
button_id2 = button_add(nil, nil, 0,350,170,120,callback_pressed2)
visible(button_id,true)
visible(button_id2,false)
visible(switch_id,false)


function battery_callback(batt)
battery_on=batt
end

fsx_variable_subscribe("ELECTRICAL MASTER BATTERY","Boolean",battery_callback)
